### Method

# ICalGLib Property take_parameter

since: 1.0

#### Declaration [src]

    void
    i_cal_property_take_parameter (
      ICalProperty* prop,
      ICalParameter* parameter
    )

#### Description [src]

Adds the `parameter` into the `prop` and free the `parameter`.

Available since: 1.0

This method is not directly available to language bindings.

#### Parameters

`parameter`

  Type: `ICalParameter`

  The parameter to be added into `prop`.

  The instance takes ownership of the data, and is responsible for freeing it.